summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-fs/nilfs-utils/Manifest1
-rw-r--r--sys-fs/nilfs-utils/nilfs-utils-2.2.8.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/sys-fs/nilfs-utils/Manifest b/sys-fs/nilfs-utils/Manifest
index ab438210509..7d514094842 100644
--- a/sys-fs/nilfs-utils/Manifest
+++ b/sys-fs/nilfs-utils/Manifest
@@ -1 +1,2 @@
DIST nilfs-utils-2.2.2.tar.bz2 424097 BLAKE2B d38b40e9b70a17bc957a89f5d1551bcc0eaaf396ac5126d47dc2dd0a9e311033beb1164a916fb369b51794d38cb63793ede7917be2d76b8df02a32de11b0a4fc SHA512 2ac0f1f25472d8900732db9f31e6b824e7e591bf306aa18d8b55c5d93807f4f7ceb65ba7e49540a39c7f285ad63c5f4ab795d34b2a04398d91cd2beb5fc6edce
+DIST nilfs-utils-2.2.8.tar.bz2 440550 BLAKE2B 05cce6b639856df6d5748bc4045500d801260c46cedff31aa571c743eb7e2c8f3d6101faf9bc90b231425fbae349671f6603d902a3240f1f06ef7fd7fedbe2c6 SHA512 3232390581f63de5ebe7b461b178a40dfbdaa4bc6aa96b218ea8182c5bf81b162a1e632a1c21d9f1e89fdba9393b4e268e001c335a99ce22f645a62ae3154783
diff --git a/sys-fs/nilfs-utils/nilfs-utils-2.2.8.ebuild b/sys-fs/nilfs-utils/nilfs-utils-2.2.8.ebuild
new file mode 100644
index 00000000000..32eda7e330b
--- /dev/null
+++ b/sys-fs/nilfs-utils/nilfs-utils-2.2.8.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info usr-ldscript
+
+DESCRIPTION="A New Implementation of a Log-structured File System for Linux"
+HOMEPAGE="http://nilfs.sourceforge.net/"
+SRC_URI="http://nilfs.sourceforge.net/download/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="static-libs"
+
+RDEPEND="
+ sys-fs/e2fsprogs
+ sys-apps/util-linux"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+
+CONFIG_CHECK="~POSIX_MQUEUE"
+
+src_configure() {
+ # Always build static libs as nilfs_cleanerd need them
+ # Bug 669804
+ econf \
+ --enable-static=yes \
+ --libdir="${EPREFIX}"/$(get_libdir) \
+ --enable-libmount
+}
+
+src_install() {
+ default
+
+ if use static-libs; then
+ local libdir=$(get_libdir)
+ dodir /usr/${libdir}
+ mv "${ED}"/${libdir}/*.a "${ED}"/usr/${libdir} || die
+ gen_usr_ldscript libnilfs.so libnilfscleaner.so libnilfsgc.so
+ else
+ find "${ED}" -name '*.a' -delete || die
+ fi
+
+
+ find "${ED}" -name '*.la' -delete || die
+}